Jump to content

Archived

This topic is now archived and is closed to further replies.

3raser

XAMPP - Won't run Apache?

Recommended Posts

I'm not sure if I'm posting this in the correct section.

 

Anyways, I know XAMPP is the biggest tool used for PHP developers and programmers, and I'm giving my first go at it. Everything is installed. But one problem. I have MySQL running, but when I install APACHE by clicking the checkbox, then click 'Start', my Control Panel just freezes and at the bottom it says;

 

Apache service started...

Busy...

 

Why does it do this?

Share this post


Link to post
Share on other sites

have u checked the http://localhost

in your machine..

if it is working then the apache have started in your machine.

if not check the error.log in the machine and also make sure that u have no other program using the port 80 on your machine..

 

Share this post


Link to post
Share on other sites

I'm fucking pissed off now.

 

Why is it everytime I go to the .php file it wants to fucking download it instead of display  it?!?!?!?!?!~!!!!!!!!!!!!!!!!!!!!!!!fhdugo

Share this post


Link to post
Share on other sites
Why is it everytime I go to the .php file it wants to fucking download it instead of display  it?!?!?!?!?!~!!!!!!!!!!!!!!!!!!!!!!!fhdugo

 

is php enabled in your Apache configuration ?

Share this post


Link to post
Share on other sites

I've tried this:

 

Going into the Xampp/Apache folder and installing it manually with the batch file. I get this:

 

Installing Apache as a service
Installing service "apache"...
Can't create service "Apache2.2".
Service "apache" is not installed.
Starting service "apache"...
Can't start service "Apache2.2".
Service "apache" is not started.
Press any key to continue . . .

 

And when I click Start now, it says this:

 

WARNING: terminating worker thread 0

Apache started

 

And when I go to file:///C:/xampp/htdocs/index.php it says this:

Something is wrong with the XAMPP installation :-(

 

 

Share this post


Link to post
Share on other sites

which version of xampp u have installed..

if ur trying with 1.7.2(beta) version.. there is a chance of this happening..

so try downloading the 1.5.5 stable version.

this would work on most of the machines..

 

Share this post


Link to post
Share on other sites

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.